;; -*- Emacs-Lisp -*-
;;
;; Copyright 2005 Yuki Fujimura <fujimura@wakhok.ac.jp>
;;
;; Description:
;; This file a part of howm.deb, from upstream's sample/dot.emacs.
;;
;; First, try followed.
;;
;;   $ HOWM_TEST=t emacs -q -no-site-file -l /usr/share/doc/howm/sample/dot.emacs
;;
;; If it reproduces, report to upstream author.
;;
;; If it it not reproduces, its source of trouble will be your .emacs?
;;
;; You may pursue the exact cause of bug, and properly report to
;; upstream author or package maintainer.
;;

(setq howm-sample-directory "/usr/share/doc/howm/sample")
(setq debug-on-error t
      howm-directory howm-sample-directory
      howm-keyword-file (expand-file-name ".howm-keys" (or (getenv "TMPDIR")
                                                           (getenv "TMP")
                                                           (getenv "TEMP")
                                                           "/tmp"))
      howm-menu-lang 'ja
      ;; Don't erase my ~/.howm-history.
      howm-history-limit nil)

(let ((flavor debian-emacs-flavor))
  (load-file "/etc/emacs/site-start.d/50howm.el"))

(require 'howm)

(let ((howm-version (concat howm-version " (Debian Unofficial Package)")))
  (howm-test))

(add-hook 'kill-emacs-hook
          (lambda ()
            (delete-file howm-keyword-file)
            ))
